#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    ll m, n, x, y, rez=0;
    cin >> n >> m;
    ll a[n+1];
    for(int i=1;i<=n;i++)
    {
        cin >> a[i];
    }
    for(int i=1;i<=m;i++)
    {
        cin >> x >> y;
        rez+=max(-a[x]-a[y],a[x]+a[y]);
    }
    cout << rez;
    return 0;
}